V1PlatformModerationSuspensions
Pause a person's social features until a date
Up to 365 days. Blocks follow, join, profile and club edits, sharing and posts, and hides the person from discovery, member lists and boards. Reporting, blocking, muting and leaving stay available, and so does everything outside social (tracking, rewards, the passport).
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/platform/moderation/suspensions" \ -H "Content-Type: application/json" \ -d '{ "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "until": "2019-08-24T14:15:22Z", "reason": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "alias": "string", "startsAt": "2019-08-24T14:15:22Z", "until": "2019-08-24T14:15:22Z", "reason": "string", "state": "active", "liftedAt": "2019-08-24T14:15:22Z", "by": "string"}